%global momorel	1
%global usagi_ipv6 0
%global _ipv6 1

Summary: Momonga Linux rpm-macros file
Name: momonga-rpmmacros
Version: 20070618
Release: %{momorel}m%{?dist}
License: "Momonga"
Group: System Environment/Base
Source0: macros.momonga.in
Source1: perl.req.momonga
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Momonga Linux rpm-macros file

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

## install momonga specific rpm macros (macros.momonga)
%__mkdir_p %{buildroot}%{_usr}/lib/rpm
sed -e 's/@usagi_ipv6@/%{usagi_ipv6}/' %{SOURCE0} > macros.momonga.$$
sed -e 's/@_ipv6@/%{_ipv6}/' macros.momonga.$$ > %{buildroot}%{_usr}/lib/rpm/macros.momonga
chmod 644 %{buildroot}%{_usr}/lib/rpm/macros.momonga
install -m 755 %{SOURCE1} %{buildroot}%{_usr}/lib/rpm

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr (-, root, root)
%{_usr}/lib/rpm/macros.momonga
%{_usr}/lib/rpm/perl.req.momonga

%changelog
* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (20070618-1m)
- add ruby_sitearchdir ruby_sitelibdir

* Sat Apr 14 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (20070414-1m)
- set %%dist .mo4

* Fri Jan 21 2005 Kazuhiko <kazuhiko@fdiary.net>
- (20050121-1m)
- add ruby_libdir and ruby_archdir macros

* Thu Jan 20 2005 Kazuhiko <kazuhiko@fdiary.net>
- (20050120-1m)
- add perl.req.momonga that skips /usr/share/doc

* Wed Sep 29 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (20040928-3m)
- do cleaning before installation

* Wed Sep 29 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (20040928-2m)
- do not use %%{_libdir}. %%{_libdir} is /usr/lib64 on 64 bit arch.

* Tue Sep 28 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (20040928-1m)
- use %%{_lib} instead of lib

* Wed Jul 28 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (20040728-1m)
- Momonga Linux release 1 (Kaede)

* Thu Jul  8 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (20040410-6m)
- set usagi_ipv6 is 0
- set _ipv6 is 1

* Wed Jul  7 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (20040410-5m)
- use %%{_libdir}

* Sun Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (20040410-4m)
- seperate from momonga-release

* Wed Apr 14 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (20040310-3m)
- moved rpm local configuration idirectory from /etc/rpm/specopt to ~/rpm/specopt/

* Thu Mar 11 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (20040310-2m)
- add %%perl_privlib and %%perl_sitelib to macros.momonga

* Wed Mar 10 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (20040310-1m)
- add %%_initscriptdir macro to macros.momonga

* Thu Jan  8 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (20040102-2m)
- revise macros.momonga
   change _libexecdir to /usr/libexec 

* Fri Jan 02 2004 Kenta MURATA <muraken2@nifty.com>
- (20040102-1m)
- update macros.momonga to override directory macros.

* Mon Jul 21 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (20030721-1m)
- update macros.momonga
  - define new macros %%_newline, %%echonl, %%comment, %%append
  - modify %%make, %%makeinstall, %%configure
  - add description

* Sun Jul 13 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (20030713-1m)
- move macros.momonga from rpm
